Faiss

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
Public Member Functions | Public Attributes | List of all members
faiss::IntersectionCriterion Struct Reference
Inheritance diagram for faiss::IntersectionCriterion:

## Public Member Functions
| IntersectionCriterion (idx_t nq, idx_t R)
double | evaluate (const float *D, const idx_t *I) const override
Public Member Functions inherited from faiss::AutoTuneCriterion
| AutoTuneCriterion (idx_t nq, idx_t nnn)
void | set_groundtruth (int gt_nnn, const float *gt_D_in, const idx_t *gt_I_in)

## Public Attributes
idx_t | R
Public Attributes inherited from faiss::AutoTuneCriterion
idx_t | nq
| nb of queries this criterion is evaluated on
idx_t | nnn
| nb of NNs that the query should request
idx_t | gt_nnn
| nb of GT NNs required to evaluate crterion
std::vector< float > | gt_D
| Ground-truth distances (size nq * gt_nnn)
std::vector< idx_t > | gt_I
| Ground-truth indexes (size nq * gt_nnn)

## Additional Inherited Members
Public Types inherited from faiss::AutoTuneCriterion
typedef Index::idx_t | idx_t

## Detailed Description

Definition at line 69 of file AutoTune.h.

## Member Function Documentation

double faiss::IntersectionCriterion::evaluate | ( | const float * | D,
|  | const idx_t * | I
| ) |  | const
| override virtual

Evaluate the criterion.

Parameters

  D | size nq * nnn
  I | size nq * nnn

Returns
  the criterion, between 0 and 1. Larger is better.

Implements faiss::AutoTuneCriterion.

Definition at line 80 of file AutoTune.cpp.

The documentation for this struct was generated from the following files:

- /data/users/matthijs/github_faiss/faiss/AutoTune.h
- /data/users/matthijs/github_faiss/faiss/AutoTune.cpp